WP42Part Class Referenceabstract

`#include <WP42Part.h>`

Inheritance diagram for WP42Part:

## Public Member Functions

virtual | ~WP42Part ()
virtual void | parse (WP42Listener *listener)=0

## Static Public Member Functions

static WP42Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)

## Constructor & Destructor Documentation

## ~WP42Part()

virtual WP42Part::~WP42Part | ( |  | ) |

inline virtual

## Member Function Documentation

## constructPart()

WP42Part * WP42Part::constructPart | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | readVal )

static

Referenced by WP42Parser::parseDocument().

## parse()

virtual void WP42Part::parse | ( | WP42Listener * | listener | ) |

pure virtual

Implemented in WP42DefineColumnsGroup, WP42ExtendedCharacterGroup, WP42HeaderFooterGroup, WP42MarginResetGroup, WP42SuppressPageCharacteristicsGroup, and WP42UnsupportedMultiByteFunctionGroup.

The documentation for this class was generated from the following files:

- WP42Part.h
- WP42Part.cpp